std::basic_string::pop_back(3)

NAME
std::basic_string::pop_back - std::basic_string::pop_back

Synopsis
   void pop_back(); (since C++11)
                        (until C++20)
   constexpr void pop_back(); (since C++20)
   Removes the last character from the string.
   Equivalent to erase(end()-1). The behavior is undefined if the string is empty.

Parameters
   (none)

Return value
   (none)

Complexity
   Constant.

Exceptions
   Throws nothing.

Example
// Run this code
 #include <cassert>
 #include <string>
 #include <iomanip>
 #include <iostream>
 int main()
 {
     std::string str("Short string!");
     std::cout << "before=" << quoted(str) << '\n';
     assert(str.size() == 13);
     str.pop_back();
     std::cout << " after=" << quoted(str) << '\n';
     assert(str.size() == 12);
     str.clear();
 // str.pop_back(); // UB!
 }

Output:
 before="Short string!"
  after="Short string"

See also
   push_back appends a character to the end
             (public member function)
   erase removes characters
             (public member function)